io.etcd.jetcd.api

## Class StatusResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.StatusResponse

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StatusResponseOrBuilder, Serializable

    public final class StatusResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements StatusResponseOrBuilder

Protobuf type `etcdserverpb.StatusResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `StatusResponse.Builder` Protobuf type `etcdserverpb.StatusResponse`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `DBSIZE_FIELD_NUMBER`
`static int` `HEADER_FIELD_NUMBER`
`static int` `LEADER_FIELD_NUMBER`
`static int` `RAFTINDEX_FIELD_NUMBER`
`static int` `RAFTTERM_FIELD_NUMBER`
`static int` `VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getDbSize()` dbSize is the size of the backend database, in bytes, of the responding member.
`static StatusResponse` `getDefaultInstance()`
`StatusResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`long` `getLeader()` leader is the member ID which the responding member believes is the current leader.
`com.google.protobuf.Parser<StatusResponse>` `getParserForType()`
`long` `getRaftIndex()` raftIndex is the current raft index of the responding member.
`long` `getRaftTerm()` raftTerm is the current raft term of the responding member.
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`String` `getVersion()` version is the cluster protocol version used by the responding member.
`com.google.protobuf.ByteString` `getVersionBytes()` version is the cluster protocol version used by the responding member.
`int` `hashCode()`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static StatusResponse.Builder` `newBuilder()`
`static StatusResponse.Builder` `newBuilder(StatusResponse prototype)`
`StatusResponse.Builder` `newBuilderForType()`
`protected StatusResponse.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static StatusResponse` `parseDelimitedFrom(InputStream input)`
`static StatusResponse` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static StatusResponse` `parseFrom(byte[] data)`
`static StatusResponse` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static StatusResponse` `parseFrom(ByteBuffer data)`
`static StatusResponse` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static StatusResponse` `parseFrom(com.google.protobuf.ByteString data)`
`static StatusResponse` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static StatusResponse` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static StatusResponse` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static StatusResponse` `parseFrom(InputStream input)`
`static StatusResponse` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<StatusResponse>` `parser()`
`StatusResponse.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### HEADER_FIELD_NUMBER

    public static final int HEADER_FIELD_NUMBER

See Also:
  Constant Field Values

#### VERSION_FIELD_NUMBER

    public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

#### DBSIZE_FIELD_NUMBER

    public static final int DBSIZE_FIELD_NUMBER

See Also:
  Constant Field Values

#### LEADER_FIELD_NUMBER

    public static final int LEADER_FIELD_NUMBER

See Also:
  Constant Field Values

#### RAFTINDEX_FIELD_NUMBER

    public static final int RAFTINDEX_FIELD_NUMBER

See Also:
  Constant Field Values

#### RAFTTERM_FIELD_NUMBER

    public static final int RAFTTERM_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `StatusResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `StatusResponseOrBuilder`
Returns:
  The header.

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `StatusResponseOrBuilder`

#### getVersion

    public String getVersion()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Specified by:
  `getVersion` in interface `StatusResponseOrBuilder`
Returns:
  The version.

#### getVersionBytes

    public com.google.protobuf.ByteString getVersionBytes()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Specified by:
  `getVersionBytes` in interface `StatusResponseOrBuilder`
Returns:
  The bytes for version.

#### getDbSize

    public long getDbSize()

     dbSize is the size of the backend database, in bytes, of the responding member.

`int64 dbSize = 3;`

Specified by:
  `getDbSize` in interface `StatusResponseOrBuilder`
Returns:
  The dbSize.

#### getLeader

    public long getLeader()

     leader is the member ID which the responding member believes is the current leader.

`uint64 leader = 4;`

Specified by:
  `getLeader` in interface `StatusResponseOrBuilder`
Returns:
  The leader.

#### getRaftIndex

    public long getRaftIndex()

     raftIndex is the current raft index of the responding member.

`uint64 raftIndex = 5;`

Specified by:
  `getRaftIndex` in interface `StatusResponseOrBuilder`
Returns:
  The raftIndex.

#### getRaftTerm

    public long getRaftTerm()

     raftTerm is the current raft term of the responding member.

`uint64 raftTerm = 6;`

Specified by:
  `getRaftTerm` in interface `StatusResponseOrBuilder`
Returns:
  The raftTerm.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static StatusResponse parseFrom(ByteBuffer data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(ByteBuffer data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(com.google.protobuf.ByteString data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(com.google.protobuf.ByteString data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(byte[] data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(byte[] data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static StatusResponse parseFrom(InputStream input)
                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static StatusResponse parseFrom(InputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static StatusResponse parseDelimitedFrom(InputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static StatusResponse parseDelimitedFrom(InputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static StatusResponse parseFrom(com.google.protobuf.CodedInputStream input)
                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static StatusResponse parseFrom(com.google.protobuf.CodedInputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public StatusResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static StatusResponse.Builder newBuilder()

#### newBuilder

    public static StatusResponse.Builder newBuilder(StatusResponse prototype)

#### toBuilder

    public StatusResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected StatusResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static StatusResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<StatusResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<StatusResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public StatusResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`